NVIDIA-MIG-MANAGER(1)

NAME
nvidia-mig-manager - nvidia-mig-manager

DESCRIPTION

  NAME:

    nvidia-mig-manager - A new cli application

  USAGE:

    nvidia-mig-manager [global options] command [command options]

  VERSION:

    unknown

  COMMANDS:

help, h
    Shows a list of commands or help for one command

  GLOBAL OPTIONS:

--kubeconfig value
    absolute path to the kubeconfig file [$KUBECONFIG]

--node-name value, -n value
    the name of the node to watch for label changes on [$NODE_NAME]

--config-file value, -f value
    the path to the MIG parted configuration file [$CONFIG_FILE]

--reconfigure-script value, -s value
    script to run to do the actual MIG reconfiguration (default: "/usr/bin/reconfigure-mig.sh") [$RECONFIGURE_SCRIPT]

--host-root-mount value, -m value
    container path where host root directory is mounted (default: "/host") [$HOST_ROOT_MOUNT]

--host-nvidia-dir value, -i value
    host path of the directory where NVIDIA managed software directory is typically located (default: "/usr/local/nvidia") [$HOST_NVIDIA_DIR]

--host-mig-manager-state-file value, -o value
    host path where the host's systemd mig-manager state file is located (default: "/etc/systemd/system/nvidia-mig-manager.service.d/override.conf") [$HOST_MIG_MANAGER_STATE_FILE]

--host-kubelet-systemd-service value, -k value
    name of the host's 'kubelet' systemd service which may need to be shutdown/restarted across a MIG mode reconfiguration (default: "kubelet.service") [$HOST_KUBELET_SYSTEMD_SERVICE]

--gpu-clients-file value, -g value
    the path to the file listing the GPU clients that need to be shutdown across a MIG configuration [$GPU_CLIENTS_FILE]

--with-reboot, -r
    reboot the node if changing the MIG mode fails for any reason (default: false) [$WITH_REBOOT]

--with-shutdown-host-gpu-clients, -d
    shutdown/restart any required host GPU clients across a MIG configuration (default: false) [$WITH_SHUTDOWN_HOST_GPU_CLIENTS]

--default-gpu-clients-namespace value, -p value
    Default name of the Kubernetes namespace in which the GPU client Pods are installed in (default: "default") [$DEFAULT_GPU_CLIENTS_NAMESPACE]

--nvidia-driver-root value, --driver-root value, -t value
    Root path to the NVIDIA driver installation. Only used if --cdi-enabled is set. (default: "/run/nvidia/driver") [$NVIDIA_DRIVER_ROOT, $DRIVER_ROOT]

--driver-root-ctr-path value, -a value
    Root path to the NVIDIA driver installation mounted in the container. Only used if --cdi-enabled is set. (default: "/run/nvidia/driver") [$DRIVER_ROOT_CTR_PATH]

--cdi-enabled
    Enable CDI support (default: false) [$CDI_ENABLED]

--dev-root value, -b value
    Root path to the NVIDIA device nodes. Only used if --cdi-enabled is set. [$NVIDIA_DEV_ROOT]

--dev-root-ctr-path value, -j value
    Root path to the NVIDIA device nodes mounted in the container. Only used if --cdi-enabled is set. [$DEV_ROOT_CTR_PATH]

--nvidia-cdi-hook-path value
    Path to nvidia-cdi-hook binary on the host. (default: "/usr/local/nvidia/toolkit/nvidia-cdi-hook") [$NVIDIA_CDI_HOOK_PATH]

--help, -h
    show help

--version, -v
    print the version

SEE ALSO
The full documentation for nvidia-mig-manager is maintained as a Texinfo manual. If the info and nvidia-mig-manager programs are properly installed at your site, the command

    info nvidia-mig-manager

should give you access to the complete manual.